function approx_sol = approx_ode(f,a,b,initial_val,N,test_case)
%function approx_sol = approx_ode(f,a,b,initial_val,test_case)
%calculates the approximate solution for y'=f(t,y(t)) y(a) = initial_val
%the number of time steps is N
%the variable test_case allows for multiple timestepping schemes to be
%added later on
% A - Euler's method.
%PC MA428 10/25/2015

approx_sol(1) = initial_val;
h=(b-a)/N; % size of time step
switch(test_case)
    case('A')
        for i = 2:(N+1)
            ti = a+(i-1)*h;
            ti_minus1 = a+(i-2)*h;
            approx_sol(i) = approx_sol(i-1) + h*feval(f,ti_minus1,approx_sol(i-1));
        end
    otherwise
        disp('case not implemented');
end


